/**
 * @file Command_Exit.h
 * @author Copyright (c) 2013 ESET, spol. s r.o.
 */

#pragma once

#include "../Command.h"
#include "../ScriptInterpreter.h"

class Command_Exit : public Command
{
public:
	Command_Exit(ScriptInterpreter &si) : si(si) {}
	virtual void Execute(elementArray &elements, OutputHandler &out) override;

	GENERATE_HELP_ID_METHODS(EXIT)

protected:
	ScriptInterpreter &si;
};

