/**
 * @file Command_GroupCreate.h
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#pragma once

#include <Common/era_api/era_api.h>
#include "../Command.h"

class Command_GroupCreate : public Command
{
public:
	virtual void Execute(elementArray &elements, OutputHandler &out) override;

	GENERATE_HELP_ID_METHODS(GROUP_CREATE)

protected:
	void FillGroupParams(const int argNumOffset, Era_GroupParams &params);
};

