/*
 * @file Command_LogForward.h
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#pragma once

#include "../flags/CommandFlagsStack.h"
#include "../Command.h"

class Command_LogForward : public Command
{
public:

	Command_LogForward(CommandFlagsStack &commandFlagsStack);

	virtual void Execute(elementArray &elements, OutputHandler &out) override;

	GENERATE_HELP_ID_METHODS(LOGFORWARD)

private:

	CommandFlagsStack &commandFlagsStack;
};

