/**
 * @file Command_Policy.h
 * @author Copyright (c) 2013 ESET, spol. s r.o.
 */

#pragma once

#include <Common/era_api/era_api.h>
#include "../Command.h"

class Command_PolicyBase : public Command
{
protected:
	int GetNumParam(unsigned int argNum);
	bool FillPolicyParams(const int argNumOffset, bool parentIdSecond, Era_PolicyParams &params);

	typedef std::unique_ptr<Era_PolicyReplacement, std::function<void(Era_PolicyReplacement *)> > PolicyReplacementPtr;
	void FillReplacement(const int argNum, PolicyReplacementPtr &replacement);
};

