/**
 * @file Command_Version.h
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#pragma once

#include "../Command.h"

class Command_Version : public Command
{
public:
	virtual void Execute(elementArray &elements, OutputHandler &out) override;

	GENERATE_HELP_ID_METHODS(VERSION)

private:
	std::wstring GetVersion_cmd() const;
	std::wstring GetVersion_api() const;
	std::wstring GetVersion_server() const;

};

