/**
 * @file Color.cpp
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#include "set_nod.h"
#include "Color.h"

#include "ConsoleColors.h"

Color::Color(ConsoleColors &cc)
:
	cc(cc)
{
}

void Color::ApplyAsTextColor(std::wostream &os) const
{
	cc.SetTextColor(os, *this);
}

std::wostream & operator<<(std::wostream &os, const Color &color)
{
	color.ApplyAsTextColor(os);

	return os;
}

