/**
 * @file Color.h
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#pragma once

class ConsoleColors;

class Color
{
public:
	Color(ConsoleColors &cc);

public:
	void ApplyAsTextColor(std::wostream &os) const;

private:
	ConsoleColors &cc;

};

std::wostream &operator<<(std::wostream &os, const Color &color);

