/**
 * @file ConsoleColors_Win.h
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#pragma once

#include "ConsoleColors.h"

class ConsoleColors_Win : public ConsoleColors
{

public:
	ConsoleColors_Win();
	virtual ~ConsoleColors_Win();
public:
	virtual void SetTextColor(std::wostream &os, const Color &color) override;
	void SetOrigColors();
	void SetColoring(bool enable);

private:
	/* HANDLE */ void *console_cout;
	/* HANDLE */ void *console_cerr;

	int defaultTextColor_cout;
	int defaultTextColor_cerr;

private:
	COLORREF SetBlueColorRGB(COLORREF color);

	int backGreyColor;
	bool enableColors;
	COLORREF originalBlueColor;
};

