/**
 * @file CommandFlagsStack.h
 * @author Copyright (c) 2013 ESET, spol. s r.o.
 */

#pragma once

#include "CommandFlags.h"

class CommandFlagsStack
{

public:
	CommandFlagsStack();

public:
	void Push();
	void Pop();

	CommandFlags &CurrentFlags();

private:
	std::stack<CommandFlags> stack;

};

