/**
 * @file OutputFormatter.h
 * @author Copyright (c) 2013 ESET, spol. s r.o.
 */

#pragma once

#include "../flags/CommandFlags.h"
#include "../TableReader.h"
#include "TextWidth.h"

class OutputFormatter
{

public:
	virtual ~OutputFormatter() {};

	virtual void Print(TableReader &reader, std::wostream &out, const CommandFlags::HeaderType headerType, DWORD screenWidth, const TextWidth &textWidth) = 0;
};

